<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AssignProject extends Model
{
    public $timestamps = false;
    protected $table = "assign_project";

    public function one_user()
    {
        return $this->hasOne('App\User','id','user_id');
    }

    public function proj_name()
    {
        return $this->hasOne('App\Models\Project','id','proj_id');
    }

    public function assigned()
    {
        return $this->hasOne('App\User','id','assign_by');
    }
}
